import {
  BasePackage,
  BlockquotePackage,
  CodePackage,
  EmphasisPackage,
  HeadingPackage,
  ParagraphPackage,
  PersistencePackage,
  ProseArticle,
  LinkPackage,
  StrongPackage,
  SubscriptPackage,
  SuperscriptPackage,
  SwitchTextTypePackage,
  SpellCheckPackage,
  ListPackage,
  CodeblockPackage
} from 'substance'

// My Elements
import CommentPackage from './elements/comment/CommentPackage'
import ExtractPackage from './elements/extract/ExtractPackage'
import NotePackage from './elements/note/NotePackage'
import SourceNotePackage from './elements/source_note/SourceNotePackage'
import ImagePackage from './elements/images/ImagePackage'
//
import TrackChangePackage from './elements/track_change/TrackChangePackage'

// var DialoguePackage = require('./elements/dialogue/DialoguePackage')
// var NumberedListPackage = require('./elements/numbered_list/NumberedListPackage')
// var NoStyleListPackage = require('./elements/no_style_list/NoStyleListPackage')

let config = {
  name: 'simple-editor',
  configure: (config, options) => {
    config.defineSchema({
      name: 'prose-article',
      ArticleClass: ProseArticle,
      defaultTextType: 'paragraph'
    })

    config.import(BasePackage, {
      noBaseStyles: options.noBaseStyles
    })
    config.import(SwitchTextTypePackage)
    config.import(ParagraphPackage)
    config.import(HeadingPackage)
    config.import(BlockquotePackage)
    config.import(EmphasisPackage)
    config.import(StrongPackage)
    config.import(SubscriptPackage)
    config.import(SuperscriptPackage)
    config.import(CodePackage)
    config.import(PersistencePackage)

    config.import(LinkPackage)
    config.import(SpellCheckPackage)
    config.import(ListPackage)
    config.import(CodeblockPackage)
    // // config.import(DialoguePackage)
    config.import(ExtractPackage)
    config.import(NotePackage)
    config.import(SourceNotePackage)
    config.import(ImagePackage)
    config.import(CommentPackage)
    config.import(ImagePackage)
    //
    config.import(TrackChangePackage)

    // config.import(DialoguePackage)
    // config.import(NoStyleListPackage)
    // config.import(NumberedListPackage)
  }
}

export default config
